com.fasterxml.jackson.databind.deser.std

## Class UUIDDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<UUID>
        - - com.fasterxml.jackson.databind.deser.std.UUIDDeserializer

- All Implemented Interfaces:
    NullValueProvider, ValueInstantiator.Gettable, Serializable

      public class UUIDDeserializer
      extends FromStringDeserializer<UUID>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

      `FromStringDeserializer.Std`

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `JsonDeserializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_valueClass, _valueType, F_MASK_ACCEPT_ARRAYS, F_MASK_INT_COERCIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UUIDDeserializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected UUID` | `_deserialize(String id, DeserializationContext ctxt)` Main method from trying to deserialize actual value from non-empty String.
    `protected UUID` | `_deserializeEmbedded(Object ob, DeserializationContext ctxt)` Overridable method to allow coercion from embedded value that is neither `null` nor directly assignable to target type.
    `Object` | `getEmptyValue(DeserializationContext ctxt)` Method called to determine value to be used for "empty" values (most commonly when deserializing from empty JSON Strings).

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

      `_deserializeFromEmptyString, _deserializeFromEmptyString, _deserializeFromEmptyStringDefault, _deserializeFromOther, deserialize, findDeserializer, logicalType, types`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

      `deserialize, deserializeWithType, getEmptyAccessPattern, getNullAccessPattern, supportsUpdate`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

      `_byteOverflow, _checkCoercionFail, _checkDoubleSpecialValue, _checkFloatSpecialValue, _checkFloatToIntCoercion, _checkFromStringCoercion, _checkFromStringCoercion, _checkTextualNull, _coerceBooleanFromInt, _coercedTypeDesc, _coerceEmptyString, _coerceIntegral, _coerceNullToken, _coerceTextualNull, _deserializeFromArray, _deserializeFromEmpty, _deserializeFromEmptyString, _deserializeFromString, _deserializeWrappedValue, _failDoubleToIntCoercion, _findCoercionFromBlankString, _findCoercionFromEmptyArray, _findCoercionFromEmptyString, _findNullProvider, _hasTextualNull, _intOverflow, _isBlank, _isEmptyOrTextualNull, _isFalse, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _isTrue, _neitherNull, _nonNullNumber, _parseBoolean, _parseBooleanFromInt, _parseBooleanPrimitive, _parseBooleanPrimitive, _parseBytePrimitive, _parseDate, _parseDate, _parseDateFromArray, _parseDouble, _parseDoublePrimitive, _parseDoublePrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseLongPrimitive, _parseShortPrimitive, _parseString, _reportFailedNullCoerce, _shortOverflow, _verifyEndArrayForSingle, _verifyNullForPrimitive, _verifyNullForPrimitiveCoercion, _verifyNullForScalarCoercion, _verifyNumberForScalarCoercion, _verifyStringForScalarCoercion, findContentNullProvider, findContentNullStyle, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, findValueNullProvider, getValueClass, getValueInstantiator, getValueType, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserializeWithType, findBackReference, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UUIDDeserializer

          public UUIDDeserializer()

  - ### Method Detail

    - #### getEmptyValue

          public Object getEmptyValue(DeserializationContext ctxt)

      Description copied from class: `JsonDeserializer`
      Method called to determine value to be used for "empty" values (most commonly when deserializing from empty JSON Strings). Usually this is same as `JsonDeserializer.getNullValue(com.fasterxml.jackson.databind.DeserializationContext)` (which in turn is usually simply Java null), but it can be overridden for specific types. Or, if type should never be converted from empty String, method can also throw an exception.

      This method may be called once, or multiple times, depending on what `JsonDeserializer.getEmptyAccessPattern()` returns.

      Default implementation simply calls `JsonDeserializer.getNullValue(com.fasterxml.jackson.databind.DeserializationContext)` and returns value.

      Overrides:
        `getEmptyValue` in class `JsonDeserializer<UUID>`

    - #### _deserialize

          protected UUID _deserialize(String id,
                                      DeserializationContext ctxt)
                               throws IOException

      Description copied from class: `FromStringDeserializer`
      Main method from trying to deserialize actual value from non-empty String.
      Specified by:
        `_deserialize` in class `FromStringDeserializer<UUID>`
      Throws:
        `IOException`

    - #### _deserializeEmbedded

          protected UUID _deserializeEmbedded(Object ob,
                                              DeserializationContext ctxt)
                                       throws IOException

      Description copied from class: `FromStringDeserializer`
      Overridable method to allow coercion from embedded value that is neither `null` nor directly assignable to target type. Used, for example, by `UUIDDeserializer` to coerce from `byte[]`.
      Overrides:
        `_deserializeEmbedded` in class `FromStringDeserializer<UUID>`
      Throws:
        `IOException`

Copyright © 2008–2020 FasterXML. All rights reserved.